Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iserve.ipc
Class IServeCommServer.NextMessageServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              ix.util.http.HttpObjectServlet
                  ix.iserve.ipc.IServeCommServer.NextMessageServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Enclosing class:
  IServeCommServer

     class IServeCommServer.NextMessageServlet

extends HttpObjectServlet

Field Summary

Fields inherited from class ix.util.http.HttpObjectServlet
`responseCharsetName, responseContentType, util`

Constructor Summary
`IServeCommServer.NextMessageServlet()`

Method Summary
`protected java.lang.Object` | `handleRequest(javax.servlet.http.HttpServletRequest req, java.lang.Object contents)` The main part of handling the request.

Methods inherited from class ix.util.http.HttpObjectServlet
`decodeReceived, describeRequest, doPost, encodeForSend, main, readRequest, sendResponse, setResponseCharsetName, setResponseContentType`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IServeCommServer.NextMessageServlet

    IServeCommServer.NextMessageServlet()

Method Detail

### handleRequest

    protected java.lang.Object handleRequest(javax.servlet.http.HttpServletRequest req,
                                             java.lang.Object contents)
                                      throws HttpRequestException

  Description copied from class: `HttpObjectServlet`
  The main part of handling the request. The contents have already been read and turned into an object by calling `HttpObjectServlet.decodeReceived(String)`. The HttpServletRequest is passed primarily to allow this method to look at the request headers.

  Specified by:
    `handleRequest` in class `HttpObjectServlet`
  Returns:
    the object to encode and send as a response.
  Throws:
    `HttpRequestException` - to indicate that an error response should be sent. The status value and message will be taken from the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD